## LassoSamlpStatusCode

LassoSamlpStatusCode — <samlp:StatusCode>

## Functions

LassoSamlpStatusCode * | lasso_samlp_status_code_new ()

## Types and Values

struct | LassoSamlpStatusCode

## Description

Figure 37. Schema fragment for samlp:StatusCode

    <element name="StatusCode" type="samlp:StatusCodeType"/>
    <complexType name="StatusCodeType">
      <sequence>
        <element ref="samlp:StatusCode" minOccurs="0"/>
      </sequence>
      <attribute name="Value" type="QName" use="required"/>
    </complexType>

## Functions

### lasso_samlp_status_code_new ()

    LassoSamlpStatusCode *
    lasso_samlp_status_code_new (void);

Creates a new LassoSamlpStatusCode object.

#### Returns

a newly created LassoSamlpStatusCode object

## Types and Values

### struct LassoSamlpStatusCode

    struct LassoSamlpStatusCode {
    	LassoNode parent;

    	/* <element ref="samlp:StatusCode" minOccurs="0"/> */
    	LassoSamlpStatusCode *StatusCode;
    	/* <attribute name="Value" type="QName" use="required"/> */
    	char *Value;
    };